aim4.noise

## Class DoubleGauge

- java.lang.Object
- - aim4.noise.DoubleGauge

-     public class DoubleGauge
      extends Object

  A gauge that holds doubles. This gauge also can apply noise functions to incoming data to simulate a noisy gauge.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoubleGauge()` Class constructor for unlimited, uninitialized, noiseless gauge.
    `DoubleGauge(double value)` Class constructor for unlimited, noiseless gauge with initial value.
    `DoubleGauge(double value, double minValue, double maxValue)` Class constructor for limited, initialized, noiseless gauge.
    `DoubleGauge(double value, double minValue, double maxValue, NoiseFunction noiseFunction)` Class Constructor for limited, initialized, noisy gauge.
    `DoubleGauge(double value, NoiseFunction noiseFunction)` Class constructor for unlimited, initialized gauge with noise.
    `DoubleGauge(NoiseFunction noiseFunction)` Class constructor for unlimited, uninitialized gauge with noise.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `read()` Read the value of the gauge.
    `void` | `record(double recValue)` Records a value to the gauge, with noise according to the gauge's `NoiseFunction`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DoubleGauge

          public DoubleGauge()

      Class constructor for unlimited, uninitialized, noiseless gauge.

    - #### DoubleGauge

          public DoubleGauge(NoiseFunction noiseFunction)

      Class constructor for unlimited, uninitialized gauge with noise.
      Parameters:
        `noiseFunction` - the noise function this gauge will apply to values

    - #### DoubleGauge

          public DoubleGauge(double value)

      Class constructor for unlimited, noiseless gauge with initial value.
      Parameters:
        `value` - the initial value of the gauge

    - #### DoubleGauge

          public DoubleGauge(double value,
                     NoiseFunction noiseFunction)

      Class constructor for unlimited, initialized gauge with noise.
      Parameters:
        `value` - the initial value of the gauge
        `noiseFunction` - the noise function this gauge will apply to values

    - #### DoubleGauge

          public DoubleGauge(double value,
                     double minValue,
                     double maxValue)

      Class constructor for limited, initialized, noiseless gauge.
      Parameters:
        `value` - the initial value of the gauge
        `minValue` - the minimum value the gauge can store/read
        `maxValue` - the maximum value the gauge can store/read

    - #### DoubleGauge

          public DoubleGauge(double value,
                     double minValue,
                     double maxValue,
                     NoiseFunction noiseFunction)

      Class Constructor for limited, initialized, noisy gauge.
      Parameters:
        `value` - the initial value of the gauge
        `minValue` - the minimum value the gauge can store/read
        `maxValue` - the maximum value the gauge can store/read
        `noiseFunction` - the noise function this gauge will apply to values

  - ### Method Detail

    - #### read

          public double read()

      Read the value of the gauge.
      Returns:
        the value of the gauge.

    - #### record

          public void record(double recValue)

      Records a value to the gauge, with noise according to the gauge's `NoiseFunction`.
      Parameters:
        `recValue` - the value to be written to the gauge

Copyright © 2013. All rights reserved.